#!/usr/bin/perl

######################################################################
#  IIS and WinNT may require the print line below.
#  If so, just remove the # at the beginning of the line.
######################################################################
# print "HTTP/1.0 200 OK\n";

eval
 {
	($0 =~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");
	($0 =~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");
 
	################################################################
	# WinNT may require the full path to the files below
	################################################################

	require "setup.pl";
	require "subs1.pl";
	require "cgi-lib.pl";
	require "date.pl";
 };


######################################################################
######################################################################
############  You should not change anyting below. ###################
######### Your script may not work properly if you do ################
######################################################################
######################################################################

$cadmin=1;
&ReadParse;

######################################################################

if ( ($in{action} eq 'login') && ($in{id}) )
 {
	$LoggingIn = 1;
	&CheckInfo;
	&getcontestlist;
	&AdminForm;
 }
elsif ($in{action} eq 'modify')
 {
	$cadmin=1;
	&CheckForFilename;
	&CheckInfo;
	&ContestVarsForm;
 }
else
 {
	$loginscript = $adminscript;
	&UserLogin;
 }


######################################################################
# Print the forms
######################################################################

sub AdminForm
 {
 	$title = "Poll/Contest Administration";

	&header("Admin");
	
	$htmloutput .= qq~

	  <table border="0" width="100%" cellspacing="0" cellpadding="3">
	    <tr>
	      <td valign="top" bgcolor="$atablebgcolor2" colspan="2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor">
	  <p><strong>
	  <a href="$giveawayscript?id=$in{id}&password=$in{password}&View=Admin" target="_blank">Show me my contests</a>
	  </strong>
	  - Use this link to view your contests, surveys, and polls in Administrators mode .
	  This mode will allow you to view and test your events even if they have not started
	  yet. This will also provide you with some cut and paste HTML.
	  <font color="red"><BR>Note:</font> You should <b>not</b> use this link for public use since
	  it enables admin features.</p>
	~;

	$htmloutput .= qq~
	<form method="POST" action="$adminscript" align="center">
	<input type="hidden" name="id" value="$in{id}">
	<input type="hidden" name="password" value="$in{password}">
        <input type="hidden" name="action" value="modify">
	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="3">
	    <tr>
	      <td valign="top" bgcolor="black"></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="#B8B8B8">
	      <font face="$afontface" size="$afontsize" color="$afontcolor">
	      <strong>Modify Existing Contest Variables</strong>
	      </font></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="$atablebgcolor2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor">
	      <b>Please select the contest:</b>
	      <select name="filename" size="1">
		$selectcontestarray
	      </select></font>
	      </td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black"></td>
	    </tr>
	  </table>
	      <p>
	      <input type="submit" value="Modify Contest" name="submit1">
	      &nbsp;&nbsp;
	      <input type="reset" value="Delete Contest" name="B3">
	      </p>

	  </center></div>
	</form>
	~;	
	
	if ( (!$admincreateonly) or (!$useids) )
	 {
		&CreateContestForm;	
	 }

	$htmloutput .= qq~
	<form method="POST" action="$subs3script" align="center">
	<input type="hidden" name="id" value="$in{id}">
	<input type="hidden" name="password" value="$in{password}">
	<input type="hidden" name="action" value="ShowEntries">
	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="3">
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="#B8B8B8" colspan="2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor"><strong>Show Entries
	      </strong></font></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="$atablebgcolor2" colspan="2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor">
	      <b>Please select the contest:</b>
	      <select name="filename" size="1">$selectcontestarray</select>
	      </font>
	      </td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="$atablebgcolor2" align="right" width="40%">
	      </td>
	      <td valign="top" bgcolor="$atablebgcolor2" align="left" width="60%">
	      <font face="$afontface" size="$afontsize" color="$afontcolor"><strong>
	      <input type="radio" value="ShowAll" name="ShowEntryAction"> All Entries<br>
	      <input type="radio" value="ShowCorrect" name="ShowEntryAction"> Correct Entries<br>
	      <input type="radio" value="ShowInCorrect" name="ShowEntryAction"> Incorrect Entries
	      </strong></font>
	      </td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	  </table>
	      <p>
	      <input type="submit" value="Submit" name="submit1">
	      &nbsp;&nbsp;
	      <input type="reset" value="Clear" name="B3">
	      </p>

	  </center></div>
	</form>
	~;

	$htmloutput .= qq~
	<form method="POST" action="$subs3script" align="center">
	<input type="hidden" name="id" value="$in{id}">
	<input type="hidden" name="password" value="$in{password}">
	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="3">
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="#B8B8B8" colspan="2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor"><strong>Contest
	      Options</strong></font></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="$atablebgcolor2" colspan="2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor">
	      <b>Please select the contest:</b>
	      <select name="filename" size="1">$selectcontestarray</select>
	      </font>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor2" width="40%"></td>
	      <td valign="top" bgcolor="$atablebgcolor2" width="60%">
	      <font face="$afontface" size="$afontsize" color="$afontcolor"><strong>
	      <input type="radio" value="ShowTotals" name="action"> Show Totals<br>
	      <input type="radio" value="ClearContest" name="action"> Clear Entries and Answers
	      </strong></font>
	      </td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	  </table>
	      <p>
	      <input type="submit" value="Submit" name="submit1">
	      &nbsp;&nbsp;
	      <input type="reset" value="Clear" name="B3">
	      </p>

	  </center></div>
	</form>
	~;

	$htmloutput .= qq~
	<form method="POST" action="$subs3script" align="center">
	<input type="hidden" name="id" value="$in{id}">
	<input type="hidden" name="password" value="$in{password}">
	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="3">
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="#B8B8B8" colspan="2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor"><strong>Upgrade/Maintenance
	      Options</strong></font></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="$atablebgcolor2" colspan="2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor">
	      <b>Please select the contest:</b>
	      <select name="filename" size="1">$selectcontestarray</select>
	      </font>
	      </td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor2" width="30%" align="right" valign="top">
	      <font face="$afontface" size="$afontsize" color="$afontcolor"><strong>
		<input type="radio" value="RecalcTotals" name="action"> 
	      </strong></font>
	      </td>
	      <td valign="top" bgcolor="$atablebgcolor2" width="70%">
	      <font face="$afontface" size="$afontsize" color="$afontcolor"><strong>
	      Recalculate Totals<br>
	      <font size="1">It is best to do this only if you know your totals are 
	      incorrect. This can take a long time if you have a large amount of entries.</font>
	      </strong></font>
	      </td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	  </table>
	      <p>
	      <input type="submit" value="Submit" name="submit1">
	      &nbsp;&nbsp;
	      <input type="reset" value="Clear" name="B3">
	      </p>

	  </center></div>
	</form>
	~;

	$htmloutput .= qq~

	<form method="POST" action="$subs2script" align="center">
	<input type="hidden" name="id" value="$in{id}">
	<input type="hidden" name="password" value="$in{password}">
        <input type="hidden" name="action" value="ShowBanned">
	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="3">
	    <tr>
	      <td valign="top" bgcolor="black"></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="#B8B8B8">
	      <font face="$afontface" size="$afontsize" color="$afontcolor">
	      <strong>Modify/View Banned List</strong>
	      </font></td>
	    </tr>
	    <tr>
	      <td valign="top" align="center" bgcolor="$atablebgcolor2">
	      <font face="$afontface" size="$afontsize" color="$afontcolor">
	      <b>Please select the contest:</b>
	      <select name="filename" size="1">
		$selectcontestarray
	      </select></font></td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black"></td>
	    </tr>
	  </table>
	      <p><input type="submit" value="Modify/View" name="submit1">
	      &nbsp;&nbsp;
	      <input type="reset" value="Clear" name="B3"></p>

	  </center></div>
	</form>

	~;

	if ( (!$DefaultTplOnly) && (($IDTplPaths) or ($UserDefaultTplOnly)) )
	 {
		$htmloutput .= qq~
		<form method="POST" action="$subs2script" align="center">
		<input type="hidden" name="id" value="$in{id}">
		<input type="hidden" name="password" value="$in{password}">
	        <input type="hidden" name="action" value="EditTemplate">
		  <div align="center"><center>
		  <table border="0" width="100%" cellspacing="0" cellpadding="3">
		    <tr>
		      <td valign="top" bgcolor="black"></td>
		    </tr>
		    <tr>
		      <td valign="top" align="center" bgcolor="#B8B8B8">
		      <font face="$afontface" size="$afontsize" color="$afontcolor">
		      <strong>Edit Template</strong></font> $FreeVersionIndicator</td>
		    </tr>
		    <tr>
		      <td valign="top" bgcolor="black"></td>
		    </tr>
		    <tr>
		      <td valign="top" align="center" bgcolor="$atablebgcolor2">
		      <font face="$afontface" size="$afontsize" color="$afontcolor">
		      <b>Please select the contest:</b>
		      <select name="template" size="1">
		      <option value="$umain_tpl">Main Template
		      <option value="$ucontest_tpl">Contest Template
		      <option value="$usurvey_tpl">Survey Template
		      <option value="$upoll_tpl">Poll Template
		      </select> </font></td>
		    </tr>
		    <tr>
		      <td valign="top" bgcolor="black"></td>
		    </tr>
		  </table>
		      <p>
		      <input type="submit" value="Edit Template" name="submit1">
		      &nbsp;&nbsp;
		      <input type="reset" value="Clear" name="B3">
		      </p>
	
		  </center></div>
		</form>
		~;
	 }

	&footer("Admin");
 }

######################################################################

sub ContestVarsForm {

	require "$contest_dir/$in{filename}.vars.$cgiext";

	&SetUsePairs;
	&CreateBarGraphSelectList;

	if ($entryduration eq 'daily') {$durdaily = "selected";}
	elsif ($entryduration eq 'single') {$dursingle = "selected";}
	else  {$durunlimit = "selected";}
	

	if ($SubmissionType eq 'Poll') { $PollType = 'selected'; }
	elsif ($SubmissionType eq 'Survey') { $SurveyType = 'selected'; }
	else { $ContestType = 'selected'; }
	
	$rules =~ s/\<br>/\n/g;
	
	&header("Admin");

	$htmloutput .= qq~

	<form method="POST" action="$subs2script" name="ContestVarsForm">
	<input type="hidden" name="filename" value="$in{filename}">
	<input type="hidden" name="action" value="setvars">
	<input type="hidden" name="id" value="$in{id}">
	<input type="hidden" name="password" value="$in{password}">
	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="2">
	    <tr>
	      <td bgcolor="#000000" valign="top" colspan="2" align="center">
		<font face="$afontface" size="4" color="white">$SubmissionType Variables</font>
	      </td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Local Submit Only:</font> $FreeVersionIndicator</strong><br>
		<font face="$afontface" color="$afontcolor" size="-2">
		Check this box to prevent submissions from domains 
		other than this domain.<br>
		If the script administrator has set the main variables to use local submissions only, you will
		not be able to change this setting and allow remote submissions.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="LocalSubmitOnly" value="checked" $LocalSubmitOnly>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Submission Type:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		This is the type of submission you are using.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<select name="SubmissionType">
		<option $ContestType>Contest
		<option $SurveyType>Survey
		<option $PollType>Poll
		</select>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Disable $SubmissionType:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you would like to completely disable this $SubmissionType, check this box.
		It will not be listed anywhere and will be invisible to all visitors.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="DisableContest" value="checked" $DisableContest>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">$SubmissionType Title: </font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">The title of the $SubmissionType.</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="title" size="34" value="$title"></font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType filename:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		You cannot change this setting.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="2" face="$afontface" color="$afontcolor">
		<b>$in{filename}</b>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top" colspan="2">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Description:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		This is detailed description for the $SubmissionType. HTML can be used.<br>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor2" valign="top" colspan="2">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<textarea name="description" rows="5" cols="60" textwrap>$description</textarea>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Show $SubmissionType Name:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you would like to show the $SubmissionType name, check this box.<br>
		If you are using the same template for all contests, this is a good idea.  It
		will let the visitor know what $SubmissionType they are working with.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="ShowName" value="checked" $ShowName>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Navigation Settings</strong>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Homepage Link:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you would like to provide a link to a specific page or to your homepage, place
		the URL here. Leave this blank to not use it.<br>
		Example: http://www.wolfcountry.com/
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="HomepageNavLink" size="34" value="$HomepageNavLink">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Homepage Title:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you provided a link above for the "Homepage Link", please supply a 
		title for this link.  This will be the text which the user clicks on to get 
		to the link above. If you don't use a link above, then you can ignore this.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="HomepageNavTitle" size="34" value="$HomepageNavTitle">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Disable All Navigation:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you would like to disable the complete navigation bar, check this box.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="DisableAllNav" value="checked" $DisableAllNav>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Disable Main List Navigation:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you would like to disable the link to the master list of contests, surveys,
		and polls, check this box. The only links that will appear are the links to
		the entry form, the results if set to be shown, the recommend to a friend,
		and homepage link.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="DisableMainNav" value="checked" $DisableMainNav>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Open New Window for $SubmissionType:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you would like to spawn or open a new window for this contest, survey, or poll,
		check this box.  This acts the same and using the target="?" feature with links
		and forms.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="OpenNewWindow" value="checked" $OpenNewWindow>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Time and Date Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Start Date:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		The proper format is: 01/01/1999 (xx/xx/xxxx)<br>
		Incorrect format: 01/01/99<br>
		Leave blank if you don't know a start date yet.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="StartDate" size="20" value="$StartDate">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Expire Date:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		The proper format is: 01/01/1999 (xx/xx/xxxx)<br>
		Incorrect format: 01/01/99<br>
		Leave blank if you do not have an expiration date yet.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="expiredate" size="20" value="$expiredate">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Entry Duration:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		This is how often an individual can enter the $SubmissionType. 
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<select name="entryduration">
		<option value="single" $dursingle>One Time Only</option>
		<option value="daily" $durdaily>Daily</option>
		<option value="unlimited" $durunlimit>Unlimited</option>
		</select>
		</font>
		</td>
	    </tr>

	  </table>
	  </center></div>

	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="2">

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Entry Form Header/Footer Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top" colspan="2">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Form Header:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		This can be anything you want to show up right before the form on the 
		$SubmissionType entry page. You can use HTML here.<br>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor2" valign="top" colspan="2">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<textarea name="EntryFormHeader" rows="5" cols="60" textwrap>$EntryFormHeader</textarea>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top" colspan="2">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Form Footer:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		This can be anything you want to show up right after the form and questions on the 
		$SubmissionType entry page. You can use HTML here.<br>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor2" valign="top" colspan="2">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<textarea name="EntryFormFooter" rows="5" cols="60" textwrap>$EntryFormFooter</textarea>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Rules Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Rules URL:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		To use a customized HTML page for the rules and regulations,
		put the HTTP location to that page in the box to the right.
		If you do not want to use an HTML customized page or rules,
		you must leave this blank.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="rules_url" size="34" value="$rules_url">
		</font>
		</td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top" colspan="2">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>$SubmissionType Rules:</strong></font><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you do not want use a customized HTML page, you can use the textbox below
		to type in the rules and regulations.  The script will generate the rules
		screen based on what you enter in this box. HTML is allowed. If you do not want to
		use rules, leave this blank.

		</font>
		</td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor2" valign="top" colspan="2">
		<font size="3">
		<textarea name="rules" rows="5" cols="60" textwrap>$rules</textarea>
		</font>
	~;

		&SetRulesLocation;
		
	$form_tpl = $contest_tpl if !$form_tpl;
	
	$htmloutput .= qq~
		<font face="$afontface" color="$afontcolor" size="2">
		<p>View your $rulesoutput as they will appear.<br>
		Note: If you just changed the rules, you must submit them first and then 
		come back to view them.</p>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Template Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Template Real Path:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Leave this setting blank if you want to use the default template.<br>
		If you would like to use your own customized template, enter the REAL path to the template file
		here.<br>
		Note: The template file does not have to be in the same directory as the scripts but
		it must exist on the same server.<br>
		Example NT path: d:/www/www.domain.com/contest/template.htm<br>
		Example UNIX path: /www/username/contest/template.htm<br>
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<input type="text" name="form_tpl" size="34" value="$form_tpl">
		<font size="$afontsize" face="$afontface" color="$afontcolor">
		<a href="$help_template" target="_blank">More Help</a>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong>
		<font face="$afontface" color="$afontcolor" size="$afontsize">Template Base Location:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="-2">
		HTTP path to directory where the template exists. Always use the trailing "/" at the end of the directory.<br>
		Example:<br>
		If the template is located at:<br>
		&nbsp;&nbsp;http://www.domain.com/contests/template.htm<br>
		This path would be:<br>
		&nbsp;&nbsp;http://www.domain.com/contests/<br>
		This base location is used to help prevent broken images and links in your template file.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<input type="text" name="tpl_base" size="34" value="$tpl_base"><br>
		<font size="$afontsize" face="$afontface" color="$afontcolor">
		<a href="$help_template" target="_blank">More Help</a>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	  </table>
	  </center></div>

	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="2">

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Static Pages</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">$SubmissionType URL:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Leave this blank to let the script generate the $SubmissionType entry form(s).<br>
		If you would like to use your own customized page to accept $SubmissionType entries, 
		this would be the HTTP location to the custom page.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="contest_url" size="34" value="$contest_url">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	~;

	$CorrectRedirURL = $redirect_url if !$CorrectRedirURL;
	$IncorrectRedirURL = $redirect_url if !$IncorrectRedirURL;
	
	$htmloutput .= qq~
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Correct URL:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Leave this blank to let the script generate the resulting screen after a <u>correct</u> entry.<br>
		If you want to redirect the visitor to a customized page after a <u>correct</u> entry, 
		put the HTTP location to the custom page here.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="CorrectRedirURL" size="34" value="$CorrectRedirURL">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Incorrect URL:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Leave this blank to let the script generate the resulting screen after an <u>incorrect</u> entry.<br>
		If you want to redirect the visitor to a customized page after an <u>incorrect</u> entry, 
		put the HTTP location to the custom page here.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="IncorrectRedirURL" size="34" value="$IncorrectRedirURL">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	~;

	$htmloutput .= qq~
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Expired URL:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Leave this blank to let the $SubmissionType script generate the screens for an expired $SubmissionType.
		Too redirect the visitor to a customized page after the $SubmissionType has expired, 
		put the HTTP location to the custom page here.<br>
		Leave this blank to let the $SubmissionType script generate the screens for an expired $SubmissionType.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="expired_url" size="34" value="$expired_url">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Already Entered URL:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		To redirect the visitor to a customized page if they have already entered once, 
		put the HTTP location to the custom page here.<br>
		Leave this blank to let the $SubmissionType script generate the default screen.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="already_url" size="34" value="$already_url">
		</font>
		</td>
	    </tr>
	~;
	
	     	
	$htmloutput .= qq~

	     <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Show Total/Correct/Incorrect Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Show Totals After Submission:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Check this box to show the totals after a submitted entry.</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="ShowTotals" value="checked" $ShowTotals>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Show if correct:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Check this box to allow a contestant to see if their answers were correct.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="showcorrect" value="checked" $showcorrect></font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Show Incorrect:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Check this box to notify the entrant which questions were incorrect after a submission.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="ShowIncorrect" value="checked" $ShowIncorrect></font>
		</td>
	    </tr>
	~;
	

	$htmloutput .= qq~

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Answer Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">New Line for Answers:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		If you are using questions, and you would like your answers to show up on a new line
		after the questions, check this box.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="answers_newline" value="checked" $answers_newline>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Email Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">
		Admin Email:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">Email address for $SubmissionType administrator.</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="contest_email" size="34" value="$contest_email">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top" colspan="2">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Custom Entrant Message Body:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Custom subject to be used when emailing entrants.<br>
		You can use a number of variables for substituting $SubmissionType info.
		Click <a href = "$help_customemail" target="_blank">here</a> for those variables.<br>
		Leave this blank to use the default script message body.
		</font>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor2" valign="top" colspan="2">
		<textarea name="customebody" rows="5" cols="60" textwrap>$customebody</textarea>
		<font face="$afontface" color="$afontcolor" size="$afontsize"><br>
		<a href = "$help_customemail" target="_blank">More Help</a><br>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Duplicate Checking</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">
		Check duplicate host:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Check this box to screen for duplicate entries by host IP address. This is not a preferred
		method for duplicate checking since many ISP's use shared IP addresses which could prevent 
		a new vistor from submitting if someone previously has submitted using that IP. In addition,
		a single user can still submit duplicates if they can obtain a new IP address each time they 
		login to their ISP.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="checkbox" name="checkdupenv" value="checked" $checkdupenv>
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	  </table>
	  </center></div>

	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="2">
	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="3">
	      <font face="$afontface" color="$afontcolor" size="3">
	      <strong>Entry Form Fields</strong><br>
	      <font size="1">
	      The following are to choose which fields you would like to be present on the entry 
	      form along with whether they should be required fields. To use or require any of the 
	      following, just place a check in the appropriate boxes.
	      </font>
	      </font>
	      </td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="3"></td>
	    </tr>
	    <tr>
	      <td  bgcolor="$atablebgcolor1" valign="top">
	      <font face="$afontface" color="$afontcolor" size="3">
	      <strong>Field</strong>
	      </font>
	      </td>
	      <td  bgcolor="$atablebgcolor1" valign="top">
	      <font face="$afontface" color="$afontcolor" size="3">
	      <strong>Use</strong>
	      </font>
	      </td>
	    </tr>

	~;

	&Set_Pre_V29;
	
	foreach $Use_Pair (@USE_PAIRS)
	 {
		&SplitUsePairs;
		
		my $Use_Checked = eval "\$Use_$UsePairName;";
		
		$htmloutput .= qq~
	    	    <tr>
		      <td bgcolor="$atablebgcolor2" valign="top">
			<font face="$afontface" color="$afontcolor" size="$afontsize">
			<strong>$UsePairTranslate</strong>
			</font>
			</td>
		      <td bgcolor="$atablebgcolor2" valign="top">
			<font face="$afontface" color="$afontcolor" size="$afontsize">
			<input type="checkbox" name="Use_$UsePairName" value="checked" $Use_Checked>
			</font>
			</td>
		    </tr>
		~;
	
	 }
	 
	$htmloutput .= qq~

	  </table>
	  </center></div>

	  <div align="center"><center>
	  <table border="0" width="100%" cellspacing="0" cellpadding="2">

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Images and Bar Graph Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Submit Button Image: </font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		You can use an image for the replacement of the submit button.
		This is the HTTP path to the image you would like to use.
		This can be a full path or a relative path.<br>
		Examples:<br>
		<font size="1">
		&nbsp;&nbsp;http://www.domain.com/images/submit.gif<br>
		&nbsp;&nbsp;images/submit.gif<br>
		&nbsp;&nbsp;../../images/submit.gif<br>
		</font>
		Leave blank to use default submit button.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="SubmitButtonImage" size="34" value="$SubmitButtonImage">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Hint Link Image: </font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Each question can include a link to a hint or more information.
		This is HTTP path to the image you would like to use for that link.
		This can be a full path or a relative path.<br>
		Examples:<br>
		<font size="1">
		&nbsp;&nbsp;http://www.domain.com/images/hint.gif<br>
		&nbsp;&nbsp;images/hint.gif<br>
		&nbsp;&nbsp;../../images/hint.gif<br>
		</font>
		Leave blank to use default image.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="HintImage" size="34" value="$HintImage">
		</font>
		</td>
	    </tr>

	~;

	if (!$MasterTotalBarImage) {
	 $htmloutput .= qq~
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
		    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor">
		<strong><font size="$afontsize">Bar Graph Color: </font></strong><br>
		<font size="2">
		The color to be used for the bar graph when displaying results.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<select name="DotColor">
		$BarGraphImageSelect
		</select>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<font face="$afontface" color="$afontcolor">
		<strong><font size="$afontsize">Custom Bar Graph Image: </font></strong><br>
		<font size="2">
		If you would like to use a custom image, place the HTTP path 
		to that image here. Leave blank if you are not using a custom image.
		<p>
		The pixel dimensions of the outputed bar graphic depends on the font size and 
		the percentage of votes. The height will be 4 times the value you have set
		for your font size. The length will be between 1 and 100 pixels depending
		on the percentage of entries.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="TotalBarImage" value="$TotalBarImage" size="34">
		</font>
		</td>
	    </tr>
	  ~;
	 }

	 $htmloutput .= qq~
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="2"> &nbsp;&nbsp;</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="#B8B8B8" valign="top" colspan="2" align="center">
		<font face="$afontface" color="$afontcolor" size="$afontsize">
		<strong>Layout and Font Settings</strong>
		</font>
		</td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Question Table Width:</font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		This is the width of the table which formats the questions. Can be in pixels or %<br>
		Example: 460<br>
		Example: 100%
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="qtablewidth" size="4" value="$qtablewidth">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Table background color 1: </font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Leave blank if you don't want a background color used.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="tablebgcolor1" size="10" value="$tablebgcolor1">
		</font>
		</td>
	    </tr>
	    
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Table background color 2: </font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Leave blank if you don't want a background color used.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="tablebgcolor2" size="10" value="$tablebgcolor2">
		</font>
		</td>
	    </tr>
	    
	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>
	    
	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Font face: </font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Font face to be used for all text generated by this program.
		Example: arial, verdana, georgia
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="fontface" size="36" value="$fontface">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Font size: </font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		This font size will be used for all text generated by the program.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="fontsize" size="5" value="$fontsize">
		</font>
		</td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	    <tr>
	      <td bgcolor="$atablebgcolor1" valign="top">
		<strong><font face="$afontface" color="$afontcolor" size="$afontsize">Text color: </font></strong><br>
		<font face="$afontface" color="$afontcolor" size="2">
		Font color to be used within tables only. This includes table for questions and table to collect demographics.
		</font>
		</td>
	      <td bgcolor="$atablebgcolor2" valign="top">
		<font size="3">
		<input type="text" name="fontcolor" size="10" value="$fontcolor">
		</font>
		</td>
	    </tr>


	    <tr>
	      <td valign="top" bgcolor="black" colspan="2"></td>
	    </tr>

	  </table>
	  </center></div>
		<p>&nbsp;</p>
	~;

	######################################################################
	# Questions
	######################################################################

	$htmloutput .= qq~
	
		<div align="center"><center>
		<table border="0" cellspacing="0" cellpadding="2"width="620">

	    <tr>
	      <td valign="top" bgcolor="black" colspan="4"></td>
	    </tr>
	    <tr>
	      <th bgcolor="#B8B8B8" align="center" valign="top" colspan="4">
		<font face="$afontface" color="$afontcolor">Questions and Answers</font>
		</th>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="4"></td>
	    </tr>
	    <tr>
	      <td align="center" valign="top" colspan="4" bgcolor="$atablebgcolor1">
		<font face="$afontface" color="$afontcolor" size="2">
		  <strong>How many questions do you want?</strong>
		<input type="text" name="no_questions" value="$no_questions" size="3"><br>
	      <font color="red">Note:</font>
		If you change the number of questions, you need to set the current variables<br>
		and then return to this page. You might then need to reload the page to see<br>
		 the new questions.
		</font></td>
	    </tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="4"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="4"></td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="4"></td>
	    </tr>

	~;

	for ($i = 1; $i <= $no_questions; $i++)
	{

		my $inquestion = "question"."$i";
		my $inanswer = "answer"."$i";
		my $inchoices = "choice"."$i";
		my $inlink = "link"."$i";

		my ($ttext, $ttextbox, $ttruefalse, $tmchoice, $tradio, $tcheckbox);
		
		my $answer = eval "\$answer$i;";
		my $link = eval "\$link$i;";
		my $question = eval "\$question$i;";
		my $QRequired = eval "\$QRequired$i;";

		my $choices = eval "\$choice$i;";
		$choices =~ s/\|/\n/g;

		my $type = eval "\$type$i;";
		my $randomchoices = eval "\$randomchoices$i;";
		my $NoTotalShow = eval "\$NoTotalShow$i;";

		if ($type eq 'text') {$ttext="checked";}
		elsif ($type eq 'textbox') {$ttextbox="checked";}
		elsif ($type eq 'truefalse') {$ttruefalse="checked";}
		elsif ($type eq 'radio') {$tradio="checked";}
		elsif ($type eq 'checkbox') {$tcheckbox="checked";}
		else
		 {
			$tmchoice="checked";
		 }

		$htmloutput .= qq~
		    <tr>
      		<td bgcolor="$atablebgcolor1" align="center" rowspan="4" valign="top">
			<font face="$afontface" color="$afontcolor" size="$afontsize">$i</font>
		</td>
	      	<td bgcolor="$atablebgcolor2" align="left" colspan="2" valign="top">
			<font face="$afontface" color="$afontcolor" size="2">
			Enter your question:</font><br>
		      <input type="text" name="$inquestion" size="50" value="$question">
		</td>
      		<td bgcolor="$atablebgcolor1" align="right" valign="top" rowspan="4" nowrap>
			<font face="$afontface" color="$afontcolor" size="2">
      		Multiple Choice:<input type="radio" value="mchoice" name="type$i" $tmchoice><br>
		Text Field:<input type="radio" value="text" name="type$i" $ttext><br>
		Text Box:<input type="radio" value="textbox" name="type$i" $ttextbox><br>
	      	True/False:<input type="radio" value="truefalse" name="type$i" $ttruefalse><br>
	      	Radio:<input type="radio" value="radio" name="type$i" $tradio><br>
	      	Checkbox:<input type="radio" value="checkbox" name="type$i" $tcheckbox><br><br>
		Answer Required: <input type="checkbox" value="checked" name="QRequired$i" $QRequired><br>
	      	Randomize Choices <input type="checkbox" value="checked" name="randomchoices$i" $randomchoices><br>
	      	Don't show in totals <input type="checkbox" value="checked" name="NoTotalShow$i" $NoTotalShow>
	      	</font></td>
		    </tr>
		    <tr>
      		<td align="left" valign="top" colspan="2" bgcolor="$atablebgcolor1">
			<font face="$afontface" color="$afontcolor" size="2">
			Enter the correct answer:<br></font>
      			<input type="text" name="$inanswer" size="50" value="$answer">
			
		</td>
		    <tr>
      		<td align="left" valign="top" colspan="2" bgcolor="$atablebgcolor2">
			<font face="$afontface" color="$afontcolor" size="2">
			If multiple choice, enter other choices to include. One per line.</font><br>
      			<textarea rows="2" name="$inchoices" cols="48">$choices</textarea>
		</td>
		    </tr>
		    <tr>
      		<td align="left" valign="top" colspan="2" bgcolor="$atablebgcolor1">
			<font face="$afontface" color="$afontcolor" size="2">
			Link: &nbsp;
			<font size="1">(Can be used to redirect to hints, more info, etc.)</font>
			</font>
      			<input type="text" name="$inlink" size="50" value="$link">
			
		</td>
		    <tr>

	    <tr>
	      <td valign="top" bgcolor="black" colspan="4"></td>
	    </tr>
	    <tr>
	      <td valign="top" colspan="4"></td>
	    </tr>
	    <tr>
	      <td valign="top" bgcolor="black" colspan="4"></td>
	    </tr>

		~;
	}

	######################################################################
	######################################################################


	$htmloutput .= qq~
		</table>
		</center></div>

		<center>
		<p>
		<input type="submit" value="Set Contest Variables" name="SubmitButton">
		&nbsp;&nbsp;
		<input type="reset" value="Reset Contest Changes" name="ResetButton">
		</p>

		</center>
		</form>
	~;

	&footer("cadmin", "");

 }
