#!/usr/bin/perl

eval {

  ($0 =~ m,(.*)/[^/]+,)   && unshift (@INC, "$1"); # Get the script location: UNIX / or Windows /
  ($0 =~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1"); # Get the script location: Windows \

require "UltBB.setup";
require "ubb_library.pl";

};

select(STDOUT);
$| = 1;

print ("Content-type: text/html\n\n");
print "Please wait...<br><br>\n";
print "\n";

if (-e "$MembersPath/memlett") {
 opendir (LETTDIR, "$MembersPath/memlett");
   @lettFiles = grep !/^\.\.?$/, readdir LETTDIR;
 closedir (LETTDIR);

 foreach $letter (@lettFiles) { unlink ("$MembersPath/memlett/$letter"); }

 rmdir "$MembersPath/memlett";
}

mkdir ("$MembersPath/memlett", 0777);

open (INDEX, "<$MembersPath/memberslist.cgi");
  @tempMems = <INDEX>;
close (INDEX);

$numMems = 0;

$q = 0;
foreach $line (@tempMems) {
 chomp($line);
 $numMems++;
 $firstletter = uc substr($line, 0, 1);
 if (!($firstletter =~ /[A-Z]/)) { $firstletter = '@'; }

 ($name, $ProfileNumber) = split(/\|\!\!\|/, $line);
 @thisprofile = &OpenProfile("$ProfileNumber.cgi");
 $Post = $thisprofile[7];
 $Location = $thisprofile[6];
 $Interests = $thisprofile[9];
 $Occupation = $thisprofile[5];
 $PostArray[$q] = qq($ProfileNumber\|\|$Post);
 if ($Location ne '') { $LocArray[$q]  = qq($ProfileNumber\|\!\^\!\|$Location\n); }
 if ($Interests ne '') { $IntsArray[$q] = qq($ProfileNumber\|\!\^\!\|$Interests\n); }
 if ($Occupation ne '') { $OccArray[$q] = qq($ProfileNumber\|\!\^\!\|$Occupation\n); }

 &Lock ("lock.file");
 open (LIST, ">>$MembersPath/memlett/$firstletter.cgi");
	print LIST "$line\n";
 close (LIST);
 &Unlock ("lock.file");
 chmod (0666, "$MembersPath/memlett/$firstletter.cgi");
 $q++;
} #end foreach loop

@sortPosts = sort {
  ($ProNumA, $PostA) = split(/\|\|/, $a);
  ($ProNumB, $PostB) = split(/\|\|/, $b);
  $PostB <=> $PostA; } @PostArray;
if ($#sortPosts > 50) { $#sortPosts = 50; }

foreach $line (@sortPosts) { $line = "$line\n"; }
&Lock ("lock.file");
open (LIST, ">$MembersPath/memlett/top.cgi");
  print LIST @sortPosts;
close (LIST);
&Unlock ("lock.file");
chmod (0666, "$MembersPath/memlett/top.cgi");

&Lock ("lock.file");
open (LIST, ">$MembersPath/memlett/location.cgi");
  print LIST @LocArray;
close (LIST);
&Unlock ("lock.file");
chmod (0666, "$MembersPath/memlett/location.cgi");

&Lock ("lock.file");
open (LIST, ">$MembersPath/memlett/interests.cgi");
  print LIST @IntsArray;
close (LIST);
&Unlock ("lock.file");
chmod (0666, "$MembersPath/memlett/interests.cgi");

&Lock ("lock.file");
open (LIST, ">$MembersPath/memlett/occupation.cgi");
  print LIST @OccArray;
close (LIST);
&Unlock ("lock.file");
chmod (0666, "$MembersPath/memlett/occupation.cgi");

print "<br><br>Done creating lists. Processed $numMems members.\n";
